Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc

# Class MaxResultBufferParser

java.lang.Object
com.microsoft.sqlserver.jdbc.MaxResultBufferParser

public class MaxResultBufferParser extends Object
Parser created to parse String value from Connection String to equivalent number of bytes for JDBC Driver to work on.

## Method Summary

Modifier and Type
Method
Description
`static long`
`validateMaxResultBuffer​(String input)`
Returns number of bytes for maxResultBuffer property

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### validateMaxResultBuffer

public static long validateMaxResultBuffer​(String input) throws SQLServerException
Returns number of bytes for maxResultBuffer property

Parameters:
  `input` - String value for maxResultProperty provided in Connection String
Returns:
  'maxResultBuffer' property as number of bytes
Throws:
  `SQLServerException` - Is Thrown when maxResultProperty's syntax is wrong